@import "helper/variables"
@import "helper/media"
// basic style
// container
.container
  width: 1110px
  max-width: 95%
  margin: 0 auto
//section
.section
  padding: 54px 0
  position: relative
  top: 20px
  visibility: hidden
  @include transition-long
  .section-description
    margin-bottom: 46px

    &.margin-small-b
      margin-bottom: 20px
    @include mobile-l
      margin-bottom: 25px
      br
        display: none
    &.remove-margin-b
      margin-bottom: 0
  &.padding-top-small
    padding-top: 21px
    @include mobile-l
      padding: 20px 0
  &.padding-bottom-small
    padding-bottom: 21px
    @include mobile-l
      padding: 20px 0
  @include mobile-l
    padding: 20px 0
  &.animation
      visibility: visible
      top: 0
// wysiwyg
.wysiwyg
  ul, ol
    li
      position: relative
      padding-left: 70px
      margin: 0
      line-height: 30px
      @include tablet-p
        padding-left: 30px

  ul
    list-style: none

    li
      &:before
        background-color: $colorBlack
        width: 10px
        height: 10px
        position: absolute
        content: ""
        border-radius: 50%
        left: 37px
        top: 9px
        @include tablet-p
          left: 0
          top: 9px
          width: 9px
          height: 9px
//grid
.row
  display: flex
  height: 100%
  flex-wrap: wrap
  width: calc(100% + 50px)
  margin: 0 -25px
  @include mobile-l
    width: calc(100% + 20px)
    margin: 0 -10px
.col
  display: flex
  flex-direction: column
  padding: 0 25px
  box-sizing: border-box
  @include mobile-l
    margin-bottom: 20px
    padding: 0 10px
  &.col-1
    width: 8.3333%

  &.col-2
    width: 16.666%

  &.col-3
    width: 25%

  &.col-4
    width: 33.333%

  &.col-5
    width: 41.666667%

  &.col-6
    width: 50%

  &.col-7
    width: 58.333333%

  &.col-8
    width: 66.666667%

  &.col-9
    width: 75%

  &.col-10
    width: 83.333333%

  &.col-11
    width: 91.666667%

  &.col-12
    width: 100%

  @include desktop-standart
    &.col-desktop-4
      width: 33.3%
    &.col-desktop-5
      width: 41.666667%
    &.col-desktop-6
      width: 50%
  @include tablet-l
    &.col-tab-3
      width: 25%
    &.col-tab-4
      width: 33.3%
    &.col-tab-5
      width: 41.666667%
    &.col-tab-6
      width: 50%
    &.col-tab-7
      width: 58.333333%
    &.col-tab-8
      width: 66.666667%
    &.col-tab-9
      width: 75%
    &.col-tab-10
      width: 83.333333%
    &.col-tab-11
      width: 91.666667%
    &.col-tab-12
      width: 100%
  @include mobile-l
    &.col-mob-3
      width: 25%
    &.col-mob-4
      width: 33.3%
    &.col-mob-6
      width: 50%
    &.col-mob-8
      width: 66.666667%
    &.col-mob-12
      width: 100%
    &.col-desktop-4
      width: 50%
  @include mobile-middle
    &.col-mob-p-12
      width: 100%
    &.col-desktop-4
      width: 100%
//text-align
.text-center
  text-align: center
.text-tab-center
  @include tablet-l
    text-align: center
.text-left
  text-align: left

.text-right
  text-align: right
  @include tablet-l
    align-items: center
//align-center
.align-center
  align-items: center

.align-start
  align-items: flex-start
  @include mobile-l
    align-items: center
.align-end
  align-items: flex-end
  @include mobile-l
    align-items: center
//justify-content
.content-center
  justify-content: center

.content-between
  justify-content: space-between

.content-start
  justify-content: flex-start

.content-end
  justify-content: flex-end
.content-tab-between
  @include tablet-l
    justify-content: center
//margin
.margin-b
  margin-bottom: 40px
//padding
.no-padding-b
  padding-bottom: 0
//images-list-section
.images-list
  .col
    a
      display: block
      height: 100%
      margin-bottom: 10px
      border-radius: 8px
      box-shadow: 0 0 1px 0 rgba(10,31,68,0.1), 0 18px 18px 0 rgba(10,31,68,0.12)
      @include transition
      &:hover
        box-shadow: 0 0 1px 0 rgba(10,31,68,0.3), 0 18px 18px 0 rgba(10,31,68,0.3)
    img
      width: 100%
      max-height: 305px
//contact-section
.contact
  .section-description
    @include mobile-l
      text-align: center
  .btn
    position: relative
    top: 16px

//page-title
.page-title
  text-transform: uppercase
  display: block
  font-size: 14px
  line-height: 16px
  font-weight: bold
  margin-bottom: 18px

//advantages
.advantages
  display: flex
  flex-wrap: wrap
  margin-left: -95px
  @include mobile-l
    margin-left: -20px
    flex-direction: column
    text-align: center
  .item
    margin: 0 0 20px 95px
    @include mobile-l
      margin: 0 0 20px 20px
  .value
    display: block
    font-size: 24px
    line-height: 28px
    color: $colorDark
    font-family: $boldFont
    font-weight: 400
    margin-bottom: 5px
  .desc
    text-transform: uppercase
    font-size: 14px
    line-height: 18px
    font-weight: bold